// $Id: _tiki-selectors.scss 67789 2018-10-02 14:52:34Z chibaguy $
// This file contains CSS rules for this theme that aren't covered by Bootstrap, such as additional Tiki theme properties.
// To do: Use variables for global Tiki properties and customize a Tiki variables file per-theme.
$imagePath: "../images/";
// image path use example:
body {
  background-image: url('#{$imagePath}bg-body.jpg');
}

$topmodules-row-sidemargins: 0;
$topbar-row-sidemargins: -15px;

//

.bg-dark,
.topbar.bg-dark {
  background: rgba(#000, 0.77) !important;
}

.cssmenu_horiz li.selected a,
.cssmenu_horiz li.selected a:hover,
.cssmenu_vert li.selected a {
	text-decoration: none;
	color: $navbar-light-hover-color;
//	background-color: //$navbar-default-link-active-bg  //Deprecated?;
}

#col2 .card,
#col3 .card,
#col2 .card .card-header,
#col3 .card .card-header {
	border: none;
}

body.fullscreen {
	.container,
	#col1 {
		border: none;
	}
}

body {
  background-position: 50% 0%;
  background-size: cover;
  background-repeat: no-repeat;    
  background-attachment: fixed;
  color: map-get($theme-colors, color_white);
  @media (max-width: 767px){
    padding-right: 15px;
    padding-left: 15px;
  }
}

h1, h2, h3, h4, h5, h6, .page-title, .card-title {
  font-family: $font_0, $font_3;
}

h1, .h1 {
	@media (max-width: 767px) {
		font-size: 2rem;
	}
}

h2, .h2 {
	@media (max-width: 767px) {
		font-size: 1.8rem;
	}
}

h4 {
	font-family: $font_4, $font_3;
	font-weight: 700;
}

.tiki { 
  header.page-header {
    background-color: map-get($theme-colors, dark_1);
    @include border-radius(0.5rem);
    margin-top: 3.571428571428571rem;
    margin-bottom: 2rem;
    @media (min-width: 768px) {
      margin-left: 15px;
      margin-right: 15px;
    }
    .content {
      padding-left: 15px;
      padding-right: 15px;
    }
  }
}

.nav-link,
.tab-pane legend,
.dropdown-item {
  font-family: $font_2, $font_3;
}

nav {
  @include border-radius(0.5rem);
  margin-bottom: 1rem;
  &.navbar-dark .navbar-nav .nav-link,
  .nav.navbar-nav li a {
  }
}

.nav-tabs {
	border-bottom-color: map-get($theme-colors, secondary);
	.nav-link.active, .nav-item.show .nav-link {
		background-color: map-get($theme-colors, primary);
    border-color: map-get($theme-colors, secondary) map-get($theme-colors, secondary) map-get($theme-colors, secondary);
	}
	.nav-link:hover, .nav-tabs .nav-link:focus {
		border-color: map-get($theme-colors, secondary) map-get($theme-colors, secondary) map-get($theme-colors, secondary);
	}	
}

.topbar {
  @include border-radius(0.5rem);
  margin-left: 15px;
  margin-right: 15px;  
  @media (max-width: 991px) {
    position: relative;
    padding: 0.5rem 1rem;
    &:before {
    	content: 'Menu';
    	display: block;
    	font-family: $font_2, $font_3;
    	color: map-get($theme-colors, primary);
    	position: absolute;
    	left: 0;
    	right: 0;
    	margin: 0 auto;
			width: 5rem;
			text-align: center;
			font-size: 1.75rem;
    }
  }
  @media (max-width: 767px) {
    margin-left: 0;
    margin-right: 0;
  }
  .box-menu {
  	@media (max-width: 767px) {
  		width: 100%;
  	}
  }
  .navbar-toggler {
  	@media (max-width: 767px) {
  		@include display-flex;
  		width: 100%;
  		height: 40px;
  	}
  }
  .bg-dark {
    background-color: transparent !important;
  }
  &.bg-light {
    background-color: map-get($theme-colors, secondary_1) !important;
    .bg-light {
      background-color: transparent !important;
    }
  }  
  .navbar .nav-item {
    @media (min-width: 992px) {
      padding-left: 0;
      padding-right: 0;
      border-left: 1px solid map-get($theme-colors, mono);
      &:first-child {
        border-left: 0;
      }     
    }
    &.active {
    	.nav-link {
	    	color: map-get($theme-colors, color_white);
	      &:before {
					@include transform(scale3d(1, 1, 1));
				  opacity: 1;
				  filter: alpha(opacity=100);
				}    		
    	}
    }
  }
  .navbar-toggler-icon {
  	background-image: none;
		height: 3px;
		position: relative;
		width: 30px;
		display: block;
  	@include border-radius(100px);
  	@include transition(all ease-in-out 0.15s);
  	&:before,
  	&:after {
			content: "";
			display: block;
			height: 3px;
			position: absolute;
			left: 0;
			right: 0;
  		@include border-radius(100px);
  		@include transition(all ease-in-out 0.15s);
  	}
  	&:before {
  		top: -8px;
  	}
  	&:after {
  		bottom: -8px;
  	}
  }
  .navbar-toggler.open {
  	.navbar-toggler-icon {
	  	&:before {
	  		top: 0px;
	  		@include transform(rotate(45deg));
	  	}
	  	&:after {
	  		bottom: 0px;
	  		@include transform(rotate(-45deg));
	  	}
	  }
  }
  .navbar-light {
	  .navbar-nav .nav-link {
	    color: map-get($theme-colors, mono_1);
	  }
	  .navbar-toggler-icon {
	  	background-color: map-get($theme-colors, dark_1);
	  	&:before,
	  	&:after {
	  		background-color: map-get($theme-colors, dark_1);
	  	}
	  }
	  .navbar-toggler.open {
	  	.navbar-toggler-icon {
	  		background-color: transparent;
		  }
	  }
  }
  .navbar-dark {
	  .navbar-toggler-icon {
	  	background-color: map-get($theme-colors, secondary);
	  	&:before,
	  	&:after {
	  		background-color: map-get($theme-colors, secondary);
	  	}
	  }
	  .navbar-toggler.open {
	  	.navbar-toggler-icon {
	  		background-color: transparent;
		  }
	  }
  }
  .navbar-nav .nav-link {
    @media (min-width: 992px) {
      font-size: 1.25rem;
      padding: 1.438rem 1.5rem;
      @include transition(all ease-in-out 150ms);
			position: relative;
	    &:before {
			  left: 0;
			  top: 0;
			  content: "";
			  position: absolute;
			  width: 100%;
			  height: 100%;
			  background-color: map-get($theme-colors, color_white_1);
			  z-index: 0;
			  opacity: 0;
			  filter: alpha(opacity=0);
			  @include transform(scale3d(0, 0, 0));
			  @include transition(all ease-in-out 150ms);
			  @include backface-visibility(hidden);
			}
    }
    @media (max-width: 767px) {
    	font-size: 1.25rem;
    }
    &:hover {     
      color: map-get($theme-colors, color_white);
      &:before {
				@include transform(scale3d(1, 1, 1));
			  opacity: 1;
			  filter: alpha(opacity=100);
			}
    }
    @media (max-width: 767px) {
      text-align: left;     
    }
  }
  .navbar .nav-item {
    @media (min-width: 992px) {
      &:first-child {
        border-left: 0;
        .nav-link {
			    &:before {
			    	@include border-radius(0.5rem 0 0 0.5rem);
			    }
			  }
      }     
    }
  }
  .dropdown:hover>.dropdown-menu {
  	@media (min-width: 992px) {
		  display: block;
		}
	}
  .dropdown:hover>.dropdown-menu {
  	@media (min-width: 992px) {
		  display: block;		  
		}
	}
}

.dropdown-menu {
	@include border-radius(0 0 0.5rem 0.5rem);
	margin-top: 0;
	background-color: map-get($theme-colors, secondary_2);
	border: 0;
	.dropdown-item {
		position: relative;
		@include transition(all ease-in-out 150ms);
    &:before {
		  left: 0;
		  top: 0;
		  content: "";
		  position: absolute;
		  width: 100%;
		  height: 100%;
		  background-color: map-get($theme-colors, color_white_1);
		  z-index: 0;
		  opacity: 0;
		  filter: alpha(opacity=0);
		  @include transform(scale3d(0, 0, 0));
		  @include transition(all ease-in-out 150ms);
		  @include backface-visibility(hidden);
		}
		&:hover {     
      color: map-get($theme-colors, color_white);
      background-color: transparent;
      &:before {
				@include transform(scale3d(1, 1, 1));
			  opacity: 1;
			  filter: alpha(opacity=100);
			}
    }
	}
}

.card {
  .card-header {
    background-color: transparent;
  }
}

.sliding-panel-admin-bar .card-header {
	&.left, &.right {
		display: none !important;
	}
}

.card-header {
	background-color: map-get($theme-colors, dark_1);
}

body.tiki {
	&.open {
		padding-top: 70px !important;
	}
}

table.tablesorter thead tr.tablesorter-filter-row td input.tablesorter-filter, table.tablesorter thead tr.tablesorter-filter-row td input.dateFrom, table.tablesorter thead tr.tablesorter-filter-row td input.dateTo {
		border: 1px solid map-get($theme-colors, primary);
}



.col1 { 
  padding-top: 2rem;
  padding-bottom: 2rem;
  padding-left: 30px;
  padding-right: 30px;
  @media (max-width: 767px){
    margin-bottom: 1rem;
    padding-left: 15px;
    padding-right: 15px;
  }
  &:before {
    @include border-radius(0.5rem);
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 15px;
    right: 15px;
    bottom: 0;
    background-color: map-get($theme-colors, dark_1);
    z-index: -1;
    @media (max-width: 767px){
	    left: 0;
	    right: 0;
	  }
  }
}

.page-item:first-child .page-link {
	@include border-radius($input-border-radius 0 0 $input-border-radius);
}

.page-item:last-child .page-link {
	@include border-radius(0 $input-border-radius $input-border-radius 0);
}

.table {
	@include border-radius(0.5rem);
	&.table-bordered {
		border: 0;		
	}
	thead,
	tr.subHeader {
		// @include border-radius(0.5rem 0.5rem 0 0);
		th:first-child,
		td:first-child {
			@include border-radius(0.5rem 0 0 0);
			border-left: 1px solid transparent;
			border-top: 1px solid transparent;
		}
		th:last-child,
		td:last-child {
			@include border-radius(0 0.5rem 0 0);
			border-right: 1px solid transparent;
			border-top: 1px solid transparent;
		}	
	}
	tbody {
		// @include border-radius(0 0 0.5rem 0.5rem);
		tr:last-child {
			td:first-child {
				@include border-radius(0 0 0 0.5rem);
			}
			td:last-child {
				@include border-radius(0 0 0.5rem 0);
			}			
		}
	}
	thead th,	th, td {
		border-color: map-get($theme-colors, secondary);
	}
}

.footer .content {
  padding: 1rem 0;
}

.modal {
  color: map-get($theme-colors, dark);
}

.popover-body .card {
  color: map-get($theme-colors, color_white);
  @include border-radius(0.2rem);
  border: 0;
  .table {
  	th {
  		@include border-radius(0.2rem 0 0 0.2rem);
  	}
  	td {
  		@include border-radius(0 0.2rem 0.2rem 0);
  	}
	  &.table-bordered {
	  	th, td {
	  		border: 0;
	  	}
	  }
  }
}

body {
  
  table.tablesorter thead tr.tablesorter-headerRow th.tablesorter-header,
  .table th,
  tr.subHeader td {
    color: map-get($theme-colors, color_white);
    background-color: map-get($theme-colors, secondary);
  }

  .table th a {
    color: map-get($theme-colors, color_white);
  }
}


.form-control-plaintext {
  color: map-get($theme-colors, color_white);
}

.admin-navbar {
  .adminanchors.card {
    @include border-radius(0 0 0.5rem 0.5rem);    
  }
  .collapse.navbar-collapse {
    @media (min-width: 768px) {
      padding-right: 0.5rem;
    }
  }
}

.btn-info {
  color: map-get($theme-colors, color_white);
  background-color: map-get($theme-colors, secondary);
  border-color: map-get($theme-colors, secondary);
}

.btn-primary {
  color: map-get($theme-colors, color_white);
  &:hover {
  	color: map-get($theme-colors, color_white);
  }
}

#contenttabs_admin_profiles-1,
#content_admin_structures1-1 {
  .form-group.row {
    margin-left: 0;
    margin-right: 0;
  }
}

.nav-tabs .nav-link {
  @include border-radius(0.25rem 0.25rem 0 0);
}

// top bar fixed width issue done in tiki-corp.scss, it should be in to tiki_base.scss

.navbar.fixed-top {
  > .container {
    width: 100%;
  }
  &.bg-light,
  &.bg-dark {
    &:before {
      content: '';
      display: block;
      position: absolute;
      left: 15px;
      top: 0;
      right: 15px;
      bottom: 0;
      z-index: -1;
      @include border-radius(0.5rem);
    }
  }
  &.bg-light {
    background-color: transparent !important;
    &:before {
      background-color: map-get($theme-colors, dark_1);
    }
  }
  &.bg-dark {
    background-color: transparent !important;
    &:before {      
      background-color: map-get($theme-colors, dark_1);
    }
  }
}

body.tiki.navbar-padding {
  padding-top: 13rem;
}

.middle_outer .row.topbar {
  margin-right: 0;
  margin-left: 0;
  .content {
    width: 100%;
    .module.box-menu {
      width: 100%;
    }
  }
  .bg-dark {
    background-color: map-get($theme-colors, dark_1) !important;
  }
  .bg-light {
    background-color: map-get($theme-colors, secondary_1) !important;
  }
}

body.tiki.navbar-padding.fixed_width {
  padding-top: 12.5rem;
}

.fixed_width {
  .navbar.fixed-top {
    > .container {
      width: 100%;
      position: relative;
    }
    &.bg-light,
    &.bg-dark {
      background-color: transparent !important;
      &:before {
        display: none;
      }
      .container {
        &:before {
          content: '';
          display: block;
          position: absolute;
          left: 15px;
          top: 0;
          right: 15px;
          bottom: 0;
          z-index: -1;
          @include border-radius(0.5rem);
        }        
      }
    }
    &.bg-light {
      .container {
        &:before {
          background-color: map-get($theme-colors, secondary_1);
        }
      }
    }
    &.bg-dark {      
      .container {        
        &:before {      
          background-color: map-get($theme-colors, dark_1);
        }
      }
    }    
  }
}

.fixed-top {
  .module.box-login_box {
    margin-left: 0;
    order: 2;
  }
}

.body.filegal_popup #tiki-center {
  background-color: map-get($theme-colors, dark_1);
}

h2 {
	color: map-get($theme-colors, primary);
}

.jumbotron {
	background-color: map-get($theme-colors, primary);
}

.list-group {
	color: map-get($theme-colors, primary);	
}

.badge-primary {
  color: map-get($theme-colors, color_white);
}

.input-group > .form-control:not(:first-child), .input-group > .custom-select:not(:first-child) {
	border-radius: $input-border-radius;
}


.modal .card {
	&.card-accordian {
		margin-bottom: 1rem;
		.card-header h4.card-title a {
			&:hover {
				text-decoration: none;				
			}
		}
	}
	label {
		color: map-get($theme-colors, color_white);
	}
}

.tiki header.page-header {
	margin-top: 1rem;
	margin-bottom: 1rem;
	margin-left: 0;
	margin-right: 0;
}

.odd {
	background-color: map-get($theme-colors, primary_1);
}

.even {
	background-color: map-get($theme-colors, primary);
}

.even, .odd {
	a {
		color: map-get($theme-colors, dark_gray);
	}
}

table.objectperms .checkBoxHeader > div, table.objectperms > tbody .checkBoxLabel {
	z-index: 1;
}

.table tr.subHeader td {
	border-top: 1px solid transparent;
}

table.treetable {
	border-collapse: separate;
	padding-left: 0;
	border-spacing: 0;
}

.trackerplugindesc {
	color: map-get($theme-colors, light_gray);
}

.dropdown-header {
	font-family: $font_2, $font_3;
  font-size: 1.125rem;
	color: map-get($theme-colors, dark_gray);
}

.actions .dropdown-menu {
	@include border-radius(0.5rem);
}

.row.row-middle#row-middle,
.row.footer.main-footer {
	@media (min-width: 992px) {
		margin-left: -30px;
		margin-right: -30px;
	}
}

body {
	.chosen-container-single .chosen-single,
	.chosen-container-active.chosen-with-drop .chosen-single,
	.chosen-container .chosen-drop,
	.chosen-container-multi .chosen-choices .search-choice {
		color: map-get($theme-colors, mono);
		&:hover {
			color: map-get($theme-colors, mono);
		}
	}
	.chosen-container-single .chosen-single div {
	  display: block;
	  position: absolute;
	  top: 0;
	  right: 0;
	  width: 2rem;
	  height: 100%;
	  padding-left: 0.5rem;
	}
	.chosen-container-single .chosen-single div::after,
	.chosen-container-active.chosen-with-drop .chosen-single div::after {
    top: -2.05rem;
    left: -0.5rem;
	}
}
